<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class BotUnifiedResponseMutation extends \Google\Protobuf\Internal\Message
{
    


    protected $sbsMetadata = null;
    


    private $mediaDetailsMetadataList;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getSbsMetadata()
    {
        return $this->sbsMetadata;
    }

    public function hasSbsMetadata()
    {
        return isset($this->sbsMetadata);
    }

    public function clearSbsMetadata()
    {
        unset($this->sbsMetadata);
    }

    




    public function setSbsMetadata($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\BotUnifiedResponseMutation\SideBySideMetadata::class);
        $this->sbsMetadata = $var;

        return $this;
    }

    



    public function getMediaDetailsMetadataList()
    {
        return $this->mediaDetailsMetadataList;
    }

    




    public function setMediaDetailsMetadataList($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\BotUnifiedResponseMutation\MediaDetailsMetadata::class);
        $this->mediaDetailsMetadataList = $arr;

        return $this;
    }

}

